<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\InteractiveMessage\ShopMessage;

use UnexpectedValueException;




class Surface
{
    


    const UNKNOWN_SURFACE = 0;
    


    const FB = 1;
    


    const IG = 2;
    


    const WA = 3;

    private static $valueToName = [
        self::UNKNOWN_SURFACE => 'UNKNOWN_SURFACE',
        self::FB => 'FB',
        self::IG => 'IG',
        self::WA => 'WA',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

